com.example.anna.phototag

## Class LayerChild

- java.lang.Object
- - com.example.anna.phototag.LayerParent
  - - com.example.anna.phototag.LayerChild

- Direct Known Subclasses:
    Area, Dot

      public class LayerChild
      extends LayerParent

  Created by Anna on 21/04/2015.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayerChild()`
    `LayerChild(android.widget.ImageView view, float posX, float posY, int xinx, boolean isDot)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearArrayListsArea()` clear all arraylist of an specific area object.
    `int` | `getArea()`
    `java.util.ArrayList` | `getArrayViewsArees()`
    `int` | `getDot()`
    `android.widget.ImageView` | `getImageViewChild()`
    `android.widget.ImageView` | `getImageViewChildArea(int i)`
    `float` | `getPosAreaX(int i)`
    `float` | `getPosAreaY(int i)`
    `float` | `getPosXXinxeta()`
    `float` | `getPosYXinxeta()`
    `int` | `getSizePosArea()`
    `void` | `setAreaImageView(int img, android.widget.ImageView capa)` Sets the icon into the imageview and into the area object.
    `void` | `setPosAreaX(float posX)` Sets the coordinate x into the view and into the area object.
    `void` | `setPosAreaY(float posY)` Sets the coordinate y into the view and into the area object.
    `void` | `setPosXP(float posX)` Sets the coordinate x into the view and into the dot object
    `void` | `setPosYP(float posY)` Sets the coordinate y into the view and into the dot object
    `void` | `updateArrayPosX(int j, float posX)` Update the coordinate x of an area
    `void` | `updateArrayPosY(int j, float posY)` Update the coordinate y of an area

    - ### Methods inherited from class com.example.anna.phototag.LayerParent

      `clearArraysArees, getArea, getChildArees, getChildDot, getDrawableChildArees, getImageView, getImageViewChildArea, getImageViewChildArees, getImageViewChildDot, getImageViewsArees, getNameLayer, getPosXArea, getPosXXinxeta, getPosYArea, getPosYXinxeta, getSizePosArees, getXinxeta, setArea, setChild, setImageView, setNameLayer, setPosXArea, setPosXXinxeta, setPosYArea, setPosYXinxeta, updatePosXArea, updatePosYArea, updateToolbar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayerChild

          public LayerChild(android.widget.ImageView view,
                    float posX,
                    float posY,
                    int xinx,
                    boolean isDot)

      Parameters:
        `view` - imageview
        `posX` - position x
        `posY` - position y
        `xinx` - reference of the icon
        `isDot` - defines if it's a dot or an area

    - #### LayerChild

          public LayerChild()

  - ### Method Detail

    - #### getImageViewChild

          public android.widget.ImageView getImageViewChild()

      Returns:
        returns an specific imageview

    - #### getImageViewChildArea

          public android.widget.ImageView getImageViewChildArea(int i)

      Parameters:
        `i` - index
      Returns:
        returns an specific imageview of an area.

    - #### getPosXXinxeta

          public float getPosXXinxeta()

      Returns:
        retruns the coordinate x of a dot.

    - #### getPosYXinxeta

          public float getPosYXinxeta()

      Returns:
        returns the coordinate y of a dot

    - #### getDot

          public int getDot()

      Returns:
        returns the reference of an specific dot

    - #### setPosXP

          public void setPosXP(float posX)

      Sets the coordinate x into the view and into the dot object
      Parameters:
        `posX` - position x

    - #### setPosYP

          public void setPosYP(float posY)

      Sets the coordinate y into the view and into the dot object
      Parameters:
        `posY` - position y

    - #### getPosAreaX

          public float getPosAreaX(int i)

      Parameters:
        `i` - index
      Returns:
        returns the coordinate x of a specific area

    - #### setPosAreaX

          public void setPosAreaX(float posX)

      Sets the coordinate x into the view and into the area object.
      Parameters:
        `posX` -

    - #### getPosAreaY

          public float getPosAreaY(int i)

      Parameters:
        `i` - index
      Returns:
        retruns the y coordinate of an specific area

    - #### setPosAreaY

          public void setPosAreaY(float posY)

      Sets the coordinate y into the view and into the area object.
      Parameters:
        `posY` - posotion y

    - #### getArea

          public int getArea()

      Returns:
        returns the icon reference of an specific area.

    - #### getSizePosArea

          public int getSizePosArea()

      Returns:
        returns the size of the arraylist of positions of an especific area object.

    - #### updateArrayPosX

          public void updateArrayPosX(int j,
                             float posX)

      Update the coordinate x of an area
      Parameters:
        `j` - index
        `posX` - position x

    - #### updateArrayPosY

          public void updateArrayPosY(int j,
                             float posY)

      Update the coordinate y of an area
      Parameters:
        `j` - index
        `posY` - position y

    - #### setAreaImageView

          public void setAreaImageView(int img,
                              android.widget.ImageView capa)

      Sets the icon into the imageview and into the area object.
      Parameters:
        `img` - icon reference
        `capa` - layer

    - #### getArrayViewsArees

          public java.util.ArrayList getArrayViewsArees()

      Returns:
        retruns the arraylist that contains an specific area

    - #### clearArrayListsArea

          public void clearArrayListsArea()

      clear all arraylist of an specific area object.